<?php
	session_start();
	include('database.php');
	include('ELO_code.php');
	DB_connexion(); 
	
	ini_set( 'display_errors', '0');
	error_reporting( 0 );
	
	$_SESSION['algorithme'] = "un";
	
	/*if(!isset($_SESSION['logged']) )
	{		header ('Location: interdiction.php');
	}
	
	if($_SESSION['logged']== "no")
	{
		header ('Location: interdiction.php');
	}*/
	
	
	if(!empty($_POST) )
	{
		$_SESSION['sauvegarde_formulaire'] = $_POST ;
     
		$page_actuelle = $_SERVER['PHP_SELF'] ;
		if(!empty($_SERVER['QUERY_STRING']))
		{
			$page_actuelle .= '?' . $_SERVER['QUERY_STRING'] ;
		}
     
		header('Location: ' . $page_actuelle);
		exit;
	}
	
	if(isset($_SESSION['sauvegarde_formulaire']))
	{
		$_POST = $_SESSION['sauvegarde_formulaire'] ;
		unset($_SESSION['sauvegarde_formulaire']);		
	}	
	
	
	if( isset($_POST['valide_form']) && $_POST['valide_form'] == "ok" )
	  {
			
			$_SESSION['message'] = "ok";
						
			//echo $_POST['selection_score'];
			$flag_validation = false;
			
			switch ($_POST['selection_score'])
			{
				case "Blanc gagne":
					$score_blanc = "1";
					$score_noir = "0";
					$flag_validation = true;
					break;
				
				case "Blanc perd":
					$score_blanc = "0";
					$score_noir = "1";
					$flag_validation = true;
					break;
				
				case "Noir gagne":
					$score_blanc = "0";
					$score_noir = "1";
					$flag_validation = true;
					break;
				
				case "Noir perd":
					$score_blanc = "1";
					$score_noir = "0";
					$flag_validation = true;
					break;
				
				case "Match nul":
					$score_blanc = "0.5";
					$score_noir = "0.5";
					$flag_validation = true;
					break;

				//default:
					//echo "Erreur dans le traitement";
				//	$message = '<div id="message_traitement" style="display:block">Erreur dans le traitement.</div>';

			}
			
			if($flag_validation == true)
			{
				//echo $_SESSION['$J1_nom'] ." " .$score_blanc ." " .$_SESSION['$J2_nom'] ." " .$score_noir;   
				//echo "<br>";
				$date =  date("d-m-Y");
				list($jour, $mois, $annee) = explode('-', $date);
				$timestamp = mktime (0, 0, 0, $mois, $jour, $annee);
				//echo "<br>";
				//echo "<br>";
						
				$donnees = array();
				$donnees[0][0] = $timestamp;
				$donnees[0][1] = $_SESSION['$J1_nom'];
				$donnees[0][2] = $_SESSION['$J2_nom'];
				$donnees[0][3] = $score_blanc;
				$donnees[0][4] = $score_noir;
			
				sauvegarde_partie($donnees);
				$message = '<div id="message_traitement" style="display:block">Partie sauvée dans la database.</div>';
			}
			else
			{
				$message = '<div id="message_traitement" style="display:block">Erreur dans le traitement.</div>';
			}
/*		
			echo '<br/>';
			echo $elo_J1;
			echo '<br/>';
			echo $elo_J2;
		
			$sql = "UPDATE joueurs SET score = '".$elo_J1."'  WHERE	nom = '".$_SESSION['$J1_nom']."' " ;
			echo $sql;
//			$requete = mysql_query($sql);
			
			echo '<br/>';
			echo '<br/>';
			
			$sql = "UPDATE joueurs SET score = '".$elo_J2."'  WHERE	nom = '".$_SESSION['$J2_nom']."' " ;
			echo $sql;
//			$requete = mysql_query($sql);
			
			echo '<br/>';
			echo '<br/>';
			
			$heure = date("H:i");
			$J1_nom = $_SESSION['$J1_nom'];
			$J2_nom = $_SESSION['$J2_nom'];
			$resultat_partie = $_POST['selection_score'];
			
			$sql = "INSERT INTO partie( id, joueur1, joueur2, resultat_partie, score_joueur1, score_joueur2 ,date_partie, heure_partie) 
					VALUES('', '$J1_nom', '$J2_nom', '$resultat_partie' , '$elo_J1' , '$elo_J2'  , NOW(), '$heure' )"; 
			echo $sql;		
*/
		
	  }
	
?>

<?php
/****************************************************************************/ 
// Calcul de la probabilité de gagner du joueur J1
/*function estimation($elo_1, $elo_2)
{
	$exp = ($elo_2 - $elo_1) / 400;
	return (1/ (1 + pow(10,$exp)));
}*/
/****************************************************************************/ 
// Calcul de la nouvelle cote du joueur J1
/*function calcul_elo_J1($elo_1, $elo_2, $score)
{
	$k = facteur_k($elo_1);
	$estimation = estimation($elo_1, $elo_2);
	$nouveau_rang = $elo_1 + $k * ($score - $estimation);
 
	// si la cote devient trop petite < 300, on la clamp à cette valeur 
	if ($nouveau_rang < 300)
	{
		$nouveau_rang = 300;
	}
 
	return array($nouveau_rang, $estimation);
}*/
/****************************************************************************/ 
// valeur de K en fonction de la cote du joueur
/*function facteur_k($elo)
{
	if($elo < 1000)
	{
		$k = 80;
	}
 
	if($elo >= 1000 AND $elo < 2000)
	{
		$k = 50;
	}
 
	if ($elo >= 2000 AND $elo <= 2400)
	{
		$k = 30;
	}
 
	if ($elo > 2400)
	{
		$k = 20;
	}
 
	return $k;
}*/
/****************************************************************************/ 
 /*
// Calcul des nouvelles cotes de P1 et P2
// score = 1 si P1 gagne
// score = 0 si P1 perd
// score = 0.5 s'il y a match nul
*/
 
/*function nouveau_rangs($elo_1, $elo_2, $score)
{
	// Score pour P2 VS P1
	$score_2 = 1 - $score;
 
	$calcul_J1 = calcul_elo_J1($elo_1, $elo_2, $score);
	$estimation_J1 = $calcul_J1[1];
	$elo_J1 = round($calcul_J1[0]);
 
	$calcul_J2 = calcul_elo_J1($elo_2, $elo_1, $score_2);
	$estimation_J2 = $calcul_J2[1];
	$elo_J2 = round($calcul_J2[0]);
 
	return array($elo_J1, $elo_J2, $estimation_J1, $estimation_J2);
}*/
/****************************************************************************/ 
/*function afficher_difference($nb)
{
	if ($nb >= 0)
	{
		$nb = '+'.$nb;
	}
 
	return $nb;
}*/
/****************************************************************************/ 
/*function convertir_pourcentage($nb)
{
	return round($nb * 100, 2).' %';
}*/
/****************************************************************************/ 
/*function resultat_partie($score)
{
		if($score == 1)
		{
			return 'J1 gagne';
		}
 
		if($score == 0)
		{
			return 'J2 gagne';
		}
 
		if ($score == 0.5)
		{
			return 'Match nul';
		}
}*/
 /****************************************************************************/ 

 ?>
  
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr" dir="ltr">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="Description" content="Site perso,cours,ouvrages" />
<meta name="Keywords" content="WEBSITE perso " />
<meta name="Distribution" content="Global" />
<meta name="Robots" content="" />
<meta http-equiv="Content-Language" content="fr" />
<meta name="rating" content="general" />
<meta name="author" content="Patrice DELPY" />
<meta name="copyright" content="Copyright 2013" />
<meta name="generator" content="Patoche" />
<title>Patoche WEBSITE - 2013 - Template du site - en cours de développemment ...</title>

<META http-equiv="Cache-Control" content="no-cache"> 

<!--
en php
header("Cache-Control: no-cache, must-revalidate"); 
-->

<!---------------------------------------------------------->	
<?php
		include('include_css_template_commun.php');
		include('include_css.php');
		include('css_tools_skill.php');
		include('include_javascript.php');

?> 

<style type="text/css">
#bloc_table_forum { float: left;
					width: 831px; 
					padding: 50px 50px 25px 50px;
					}	
					
#navigation_tournoi{
					float: left;
					width: 910px; // 870
					padding: 10px 0px 0px 10px;
		}
					
</style>

<script type="text/javascript">
function call_update()
{
	 ajax_routine(); 
	 setTimeout("call_update()", 1000); //appelle la fonction 1 fois par  seconde
}

		

	 	 
	 	function active(){
						
							document.getElementById("score").style.visibility='visible';
							document.getElementById('valide_form').value="ok";
							
							starting();
	
	// alert('coucou');
		}
		
		
		
		
		function active_sauver(){
							document.getElementById('send').disabled = false;
							
							
							
	
	// alert('coucou');
		}
		
			function getXhr(){
                                var xhr = null; 
				if(window.XMLHttpRequest) // Firefox et autres
				   xhr = new XMLHttpRequest(); 
				else if(window.ActiveXObject){ // Internet Explorer 
				   try {
			                xhr = new ActiveXObject("Msxml2.XMLHTTP");
			            } catch (e) {
			                xhr = new ActiveXObject("Microsoft.XMLHTTP");
			            }
				}
				else { // XMLHttpRequest non supporté par le navigateur 
				   alert("Votre navigateur ne supporte pas les objets XMLHTTPRequest..."); 
				   xhr = false; 
				} 
                                return xhr;
			}
			
			/**
			* Méthode qui sera appelée sur le click du bouton
			*/
			function go(){
				var xhr = getXhr();
				// On défini ce qu'on va faire quand on aura la réponse
				
				 document.getElementById("souscategorie").style.visibility='visible';
				
				xhr.onreadystatechange = function(){
					// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
					if(xhr.readyState == 4 && xhr.status == 200){
						leselect = xhr.responseText;
						// On se sert de innerHTML pour rajouter les options a la liste
						document.getElementById('souscategorie').innerHTML = leselect;
					}
				}

				// Ici on va voir comment faire du post
				xhr.open("POST","ajax_joueur.php",true);
				// ne pas oublier ça pour le post
				xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
				// ne pas oublier de poster les arguments
				// ici, l'id de Catégorie
				sel = document.getElementById('J1');
				idcategorie = sel.options[sel.selectedIndex].value;
				xhr.send("idcategorie="+idcategorie);
			}
			
			
			function starting(){
				var xhr = getXhr();
				// On défini ce qu'on va faire quand on aura la réponse
				
				document.getElementById("probabilite").style.visibility='visible';
				
				xhr.onreadystatechange = function(){
					// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
					if(xhr.readyState == 4 && xhr.status == 200){
						leselect = xhr.responseText;
						// On se sert de innerHTML pour rajouter les options a la liste
						document.getElementById('probabilite').innerHTML = leselect;
					}
				}

				// Ici on va voir comment faire du post
				//xhr.open("POST","ajax_probabilite.php",true);
				xhr.open("POST","echec02.php",true);
				// ne pas oublier ça pour le post
				xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
				// ne pas oublier de poster les arguments
				// ici, l'id de Catégorie
				sel = document.getElementById('J1');
				J1 = sel.options[sel.selectedIndex].value;
				
				sel = document.getElementById('J2');
				J2 = sel.options[sel.selectedIndex].value;
				
				
				xhr.send("J1="+J1+"&J2="+J2);
				
				
				
				//xhr.send("idcategorie="+idcategorie);
				//xhr.send("idcategorie="+idcategorie&"bidule="+bidule;
				// xhr.send("vara="+login+"&varb="+password); 
				
				//xhr.send("idcategorie"=+idcategorie&"variable2"=+bidule);
			}
			

</script>

<!---------------------------------------------------------->	
</head>

<body>
<!---------------------------------------------------------->	
	<div class="main"> <!-- main -->
<!---------------------------------------------------------->	

          <div class="header">
                <div class="balise_titre">Patoche</div>
                <div class="balise_citation">
                &quot;Etre conscient que l'on est ignorant est un grand pas vers le savoir&quot;
                </div>
          </div> 
 
          <div class="banniere"></div>  

<!---------------------------------------------------------->
<?php
/*	include("include_barre_login.php");
	echo '<div id="box_icon">';
	include("debug_connexion_membre.php");
	echo '</div>';
	include("include_menu.php");*/
	
	echo '<div id="box_infos">';
			include("include_menu.php");
			
			echo '<div id="box_icon2">';
			include("connexion_membre.php");
			echo	'</div>';
			
			echo '<div id="box_icon3">';
			include("include_barre_login.php");
			echo	'</div>';

	echo	'</div>';
	$_SESSION['page_active'] = basename (__FILE__ );
?>
		

<!---------------------------------------------------------->	
            <div class="contenu"> <!-- contenu -->
<!---------------------------------------------------------->	
	
			<div class="barre_vide"></div>
			
			<div id="navigation_tournoi">
				<ul id="menu_horiz">
				<li class="tournoi_joueur_tag"><a href="ajouter_joueur.php" title="aller à la section">Nouveau</a></li>
				<li class="tournoi_partie_tag_selected"><a href="partie.php" title="aller à la section">Partie</a></li>
				<li class="tournoi_classement_tag"><a href="classement.php" title="aller à la section">classement</a></li>
				<li class="tournoi_liste_joueurs_tag"><a href="liste_joueurs.php" title="aller à la section">Joueurs</a></li>
				<li class="tournoi_stats_tag"><a href="historique.php" title="aller à la section">Historique</a></li>
				<li class="tournoi_securite_tag"><a href="admin.php" title="aller à la section">Admin</a></li>
				</ul>
			</div>
			
			<div id="bloc_table_forum">
	
			<form method="post" id="form_selection_joueurs" action="partie.php" > <!-- onsubmit="return valider_inscription(this)" -->

			<input type="hidden" name="valide_form" id="valide_form" value="" />
			
			<fieldset style="width: 600px">
				<legend>Partie </legend>
				
				<label>Blanc: </label>
				<select name='J1' id='J1' onchange='go()'>
					<option value="vide">- - - Choisissez le Joueur 1 - - -</option>
					<?php
						//mysql_connect("localhost","root","");
						//mysql_select_db("website");
						/*$res = mysql_query("SELECT * FROM membres ");*/
						
						$sql = "SELECT * FROM classement";
						$res = mysql_query($sql);

						while($val = mysql_fetch_array($res)) 
						{
							echo "<option>".$val["joueur"]."</option>\n";
						}
					?>
				</select>
				
				<div id='souscategorie' style="visibility: hidden;"  >  <!-- style='display:inline' -->
					<label>Noir: </label>
					<select name='J2' id='J2'  ">  <!--   -->
					</select>
				</div> 
				
				
				<div id='probabilite' style="visibility: hidden;"  >  <!-- style='display:inline' -->
					<label>Probabilité: </label>
					
				</div> 
				
				<div id="score" style="visibility: hidden; ">
					<label>Résultat du match:</label>
					<select name="selection_score" size="1" style='display:inline' onchange='active_sauver()' >
					<option value="vide">- - - Resultat de la partie - - -</option>

<?php
	
				$J1_nom = $_SESSION['$J1_nom'];
				$J2_nom = $_SESSION['$J2_nom'];
		
				echo '<option>Blanc gagne</option>';
				echo '<option>Blanc perd</option>';
				echo '<option>Noir gagne</option>';
				echo '<option>Noir perd</option>';
				echo '<option>Match nul</option>';
?>
				<!--	
					<option>J1 gagne</option>
					<option>J1 perd</option>
					<option>J2 gagne</option>
					<option>J2 perd</option>
					<option>Match nul</option> -->
					</select>
				</div>
				
				<br/>
				
				<div>
					<input id="send" name="send" type="submit" disabled value="Enregistrer"/>
				</div>
				
				<br>
				<br>
				
<?php
				if($_SESSION['message'] == "ok")
				{	//echo '<div id="message_traitement" style="display:block">Partie sauvée dans la database.</div>';
					echo $message;
					$_SESSION['message'] = "none";
				}
?>	
				
			</fieldset>
		</form>
		
			</div>

			<br/>
			<br/>
			<br/>
			<br/>
			<br/>

<!---------------------------------------------------------->	
<?php			
    include('include_pied_page.php');
	include('include_publicite.php');
?>
<!---------------------------------------------------------->	
			</div>  <!-- contenu -->
<!---------------------------------------------------------->	
	</div>   <!-- main -->
<!---------------------------------------------------------->	

	<script type="text/javascript">
		call_update()
	</script>

</body>
</html>


